Package org.lwjgl.opengl

# Class NVVideoCaptureUtil

java.lang.Object
org.lwjgl.opengl.NVVideoCaptureUtil

public final class NVVideoCaptureUtil extends Object
This class exposes the platform specific functionality present in the NV_video_capture extension.

Since:
  20/5/2011
Author:
  Spasi

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`glBindVideoCaptureDeviceNV(int video_slot, long device)`
After successfully locking a video capture device, use this method to bind it to the capture slot specified in the current context.
`static int`
`glEnumerateVideoCaptureDevicesNV(LongBuffer devices)`
Enumerate the available video capture devices.
`static boolean`
`glLockVideoCaptureDeviceNV(long device)`
To lock a video capture device to a display connection, use this method.
`static boolean`
`glQueryVideoCaptureDeviceNV(long device, int attribute, IntBuffer value)`
Use this method to query the unique ID of the physical device backing a video capture device handle.
`static boolean`
`glReleaseVideoCaptureDeviceNV(long device)`
Use this method when finished capturing data on a locked video capture device to unlock it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### glBindVideoCaptureDeviceNV

public static boolean glBindVideoCaptureDeviceNV(int video_slot, long device)
After successfully locking a video capture device, use this method to bind it to the capture slot specified in the current context. This method is the cross- platform equivalent of glXBindVideoCaptureDeviceNV and wglBindVideoCaptureDeviceNV.

Parameters:
  `video_slot` - the video slot
  `device` - the video capture device
Returns:
  true if the binding was successful

### glEnumerateVideoCaptureDevicesNV

public static int glEnumerateVideoCaptureDevicesNV(LongBuffer devices)
Enumerate the available video capture devices. This method is the cross-platform equivalent of glXEnumerateVideoCaptureDevicesNV and wglEnumerateVideoCaptureDevicesNV. Since they are not really compatible, this method works like the WGL version. That is, you first call it with a null devices buffer, get the number of devices, then call it again with an appropriately sized buffer.

Parameters:
  `devices` - the buffer to store devices in
Returns:
  the number of available video capture devices

### glLockVideoCaptureDeviceNV

public static boolean glLockVideoCaptureDeviceNV(long device)
To lock a video capture device to a display connection, use this method. Before using a video capture device, it must be locked. Once a video capture device is locked by a process, no other process can lock a video capture device with the same unique ID until the lock is released or the process ends.

Parameters:
  `device` - the device to lock
Returns:
  true if the lock was successful

### glQueryVideoCaptureDeviceNV

public static boolean glQueryVideoCaptureDeviceNV(long device, int attribute, IntBuffer value)
Use this method to query the unique ID of the physical device backing a video capture device handle.

Parameters:
  `device` - the device
  `attribute` - the attribute to query
  `value` - the buffer to store the value in
Returns:
  true if the query was successful

### glReleaseVideoCaptureDeviceNV

public static boolean glReleaseVideoCaptureDeviceNV(long device)
Use this method when finished capturing data on a locked video capture device to unlock it.

Parameters:
  `device` - the device
Returns:
  true if the device was unlocked successfully